#include<bits/stdc++.h>

using namespace std;
typedef long long ll;

int main(){
	ios_base::sync_with_stdio(false);cin.tie(NULL);cout.tie(NULL);
	ll a,b;
	string s;
	cin>>s;
	cin>>a>>b;
	if(abs(a-b)==1||abs(a-b)==0){
        if(a-b==1){
        for(int i=0;i<b;i++)
            cout<<s[0]<<s[1];
        cout<<s[0];
	}
	if(b-a==1){
        for(int i=0;i<a;i++)
            cout<<s[1]<<s[0];
        cout<<s[1];
	}
	if(b==a)
        for(int i=0;i<b;i++)
            cout<<s[0]<<s[1];
	}
	else
        cout<<"nemoguce";




	return 0;
}